function escale_CheckDatabase()
	if ( not EquipmentScale_Variables ) or ( not EquipmentScale_Variables["Version"] ) then --create if not present, or reset if no version
		EquipmentScale_Variables = nil
		EquipmentScale_Variables = {}
		EquipmentScale_Variables["Items"] = {}
		EquipmentScale_Variables["Version"] = GetAddOnMetadata("EquipmentScale", "Version")
	else
		local DBVersion = EquipmentScale_Variables["Version"]
		local eScaleVersion = GetAddOnMetadata("EquipmentScale", "Version")
		--pull the list of compatible database versions from the .toc file, to avoid having to remember to change them here
		local compatableVersions = {}
		local i=1
		for str in string.gmatch(GetAddOnMetadata("EquipmentScale", "X-CompatDBVers"), "[^/]+") do
		   compatableVersions[i] = str
		   i=i+1
		end
		
		if tContains( compatableVersions, DBVersion ) then  --if the database is compatible, update its version to match the current addon version
			EquipmentScale_Variables["Version"] = eScaleVersion
		elseif (eScaleVersion ~= DBVersion) then
			print("|cFFFF00FF[EquipmentScale] Database structure has changed excessively between versions, and cannot be rebuilt, so it is being wiped and reset to an empty state compatible with the current addon version.")
			--wipe the DB and rebuild
			EquipmentScale_Variables = nil
			EquipmentScale_Variables = {}
			EquipmentScale_Variables["Items"] = {}
			EquipmentScale_Variables["Version"] = GetAddOnMetadata("EquipmentScale", "Version")
		end
	end
end